Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.Observable

Extends M.Object.
The observable knows all observers, mainly views, and pushes updates if necessary.
Defined in: observable.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.Observable()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| bindingList List that contains pairs of an observer with an observable.
| type The type of this object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| attach(observer, observable) Attach an observer to an observable.
| detach(observer) Detach an observer from an observable.
| notifyObservers(key) Notify all observers that observe the property behind 'key'.

Methods borrowed from class M.Object:
  bindToCaller, create, destroy, extend, get, include, set

Class Detail
M.Observable()
Field Detail
{Array|Object} bindingList
List that contains pairs of an observer with an observable. An observer is tightened to one observable, but one observable can have multiple observers.

{String} type
The type of this object.
Method Detail
attach(observer, observable)
Attach an observer to an observable.

Parameters:
{String} observer
  The observer.
{String} observable
  The observable.

detach(observer)
Detach an observer from an observable.

Parameters:
{String} observer
  The observer.

notifyObservers(key)
Notify all observers that observe the property behind 'key'.

Parameters:
{String} key
  The key of the property that changed.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:33 GMT+0100 (MEZ)